Format (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class Format

- java.lang.Object
- - org.neo4j.helpers.Format

-     public class Format
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATE_FORMAT`
    `static TimeZone` | `DEFAULT_TIME_ZONE` Default time zone is UTC (+00:00) so that comparing timestamped logs from different sources is an easier task.
    `static String` | `TIME_FORMAT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `bytes(long bytes)`
    `static String` | `date()`
    `static String` | `date(Date date)`
    `static String` | `date(Date date, TimeZone timeZone)`
    `static String` | `date(long millis)`
    `static String` | `date(long millis, TimeZone timeZone)`
    `static String` | `date(TimeZone timeZone)`
    `static String` | `time()`
    `static String` | `time(Date date)`
    `static String` | `time(Date date, TimeZone timeZone)`
    `static String` | `time(long millis)`
    `static String` | `time(long millis, TimeZone timeZone)`
    `static String` | `time(TimeZone timeZone)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_FORMAT

          public static final String DATE_FORMAT

      See Also:
        Constant Field Values

    - #### TIME_FORMAT

          public static final String TIME_FORMAT

      See Also:
        Constant Field Values

    - #### DEFAULT_TIME_ZONE

          public static final TimeZone DEFAULT_TIME_ZONE

      Default time zone is UTC (+00:00) so that comparing timestamped logs from different sources is an easier task.

  - ### Method Detail

    - #### date

          public static String date()

    - #### date

          public static String date(TimeZone timeZone)

    - #### date

          public static String date(long millis)

    - #### date

          public static String date(long millis,
                    TimeZone timeZone)

    - #### date

          public static String date(Date date)

    - #### date

          public static String date(Date date,
                    TimeZone timeZone)

    - #### time

          public static String time()

    - #### time

          public static String time(TimeZone timeZone)

    - #### time

          public static String time(long millis)

    - #### time

          public static String time(long millis,
                    TimeZone timeZone)

    - #### time

          public static String time(Date date)

    - #### time

          public static String time(Date date,
                    TimeZone timeZone)

    - #### bytes

          public static String bytes(long bytes)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.